package com.ydl.ydlcommon.data.http

import com.google.gson.Gson
import com.google.gson.GsonBuilder

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/01/31
 */
object GsonProvider {

    private val g: Gson by lazy {
        GsonBuilder()
                .setPrettyPrinting()
                .disableHtmlEscaping()
                .create()
    }

    fun getGson(): Gson {
        return g
    }

}